// ===========================================================================
//	AGAColors.h
// ===========================================================================
//	Apple Grayscale Appearance compliant colors
//	Copyright  1996 Chrisoft (Christophe ANDRES)  All rights reserved.
//
//	You may use this source code in any application (commercial, shareware, freeware,
//	postcardware, etc), but not remove this notice (no need to acknowledge the use of
//	this class in the about box)
//	You may not sell this source code in any form. This source code may be placed on 
//	publicly accessable archive sites and source code disks. It may not be placed on 
//	profit archive sites and source code disks without the permission of the author, 
//	Christophe ANDRES.
//	
//	    This source code is distributed in the hope that it will be useful,
//	    but WITHOUT ANY WARRANTY; without even the implied warranty of
//	    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//
//	If you make any change or improvement on this class, please send the improved/changed
//	version to : chrisoft@calva.net or Christophe ANDRES
//                                     20, rue Prosper Mrime
//                                     67100 STRASBOURG
//                                     FRANCE
//
// ===========================================================================
//	AGAColors.cp			<- double-click + Command-D to see initialization
//
//	AGAColors define the colors of the Apple Grayscale Appearance for System 7.5
//		and some related routines
//
//		Version : 1.2
//
//		Change History (most recent first, date in US form : mm/dd/yy):
//
//						03/30/96	ca		Public release of version 1.2
//						06/04/96	ca		Added guard macros in header files
//														Increased version to 1.2
//						05/20/96	MH		Added the A1 to A4 colors needed for LAGADiscloTriangle
//						05/15/96	ca		Added the A color which is needed only for the Indeterminate progress indicator
//														Replaced HasAGAColors with PaneInColor, which carries the same purpose, but is better
//														and was designed and submitted by Michael(tm) Hamel <mhamel@adi.co.nz> (Thanks ;)
//														and was designed and submitted by Michael(tm) Hamel <mhamel@adi.co.nz> (Thanks ;)
//						05/11/96	ca		Increased release version to 1.1
//														Added HasAGAColors to check if a pane can draw in color
//														Added Change History
//						04/22/96	ca		file made available
//														(version 1.0)
//
//		To Do:
//

#ifndef _H_AGAColors
#define _H_AGAColors
#pragma once

#include <LPane.h>

#define B														13
#define	W														0
#define	A														14																													//	<05/15/96	ca>
#define A1 													15																													//	<05/20/96 MH> for LAGADiscloTriangle
#define A2 													16
#define A3 													17
#define A4 													18

extern const RGBColor gAGAColorArray[];

// -Contributed by Michael(tm) Hamel <mhamel@adi.co.nz>------------------------------------------------------------
Boolean PaneInColor (LPane* aPane);

#endif
