// ===========================================================================
//	LAGAStateIconButton.h
// ===========================================================================
//	Apple Grayscale Appearance compliant (almost) state icon button
//	Copyright  1996 Chrisoft (Christophe ANDRES)  All rights reserved.
//
//	You may use this source code in any application (commercial, shareware, freeware,
//	postcardware, etc), but not remove this notice (no need to acknowledge the use of
//	this class in the about box)
//	You may not sell this source code in any form. This source code may be placed on 
//	publicly accessable archive sites and source code disks. It may not be placed on 
//	profit archive sites and source code disks without the permission of the author, 
//	Christophe ANDRES.
//	
//	    This source code is distributed in the hope that it will be useful,
//	    but WITHOUT ANY WARRANTY; without even the implied warranty of
//	    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//
//	If you make any change or improvement on this class, please send the improved/changed
//	version to : chrisoft@calva.net or Christophe ANDRES
//                                     20, rue Prosper Mrime
//                                     67100 STRASBOURG
//                                     FRANCE
//
// ===========================================================================
//	LAGAStateIconButton.cp			<- double-click + Command-D to see class implementation
//
//	LAGAStateIconButton is a subclass of LAGAIconButton, and enables the button to use
//		up to three different icons (states), and to use them in a standard way (pushed,
//		disabled, radio behavior)
//
//		see the comments in LAGAIconButton.h
//
//		Version : 1.2
//
//		Change History (most recent first, date in US form : mm/dd/yy):
//
//						06/30/96	ca		Public release of version 1.2
//						06/04/96	ca		Added static RegisterClass for easier class registration
//														Added guard macros in header files
//														Increased version to 1.2
//						05/15/96	ca		Increased version to 1.1
//														Added copy constructor
//														Added "on the fly" constructor
//														Added change history
//						04/22/96	ca		class made available by Christophe ANDRES <chrisoft@calva.net>
//														(version 1.0)
//
//		To Do:
//

#ifndef _H_LAGAStateIconButton
#define _H_LAGAStateIconButton
#pragma once

#include	"LAGAIconButton.h"

class	LAGAStateIconButton : public LAGAIconButton
{
	public		:
		enum { class_ID = '3DsT' };
		static void RegisterClass ();																																							//	<06/04/96	ca>
		static LAGAStateIconButton* CreateAGAStateIconButtonStream (LStream *inStream);
	
		LAGAStateIconButton ();
		
		LAGAStateIconButton (LStream *inStream);
		
		LAGAStateIconButton (const LAGAStateIconButton &inOriginal);																							//	<05/15/96 ca>
		
		LAGAStateIconButton (const SPaneInfo &inPaneInfo, MessageT inClickedMessage, OSType inIconType,						//	<05/15/96 ca>
													ResIDT inIconState1, ResIDT inIconState2, ResIDT inIconState3,
													Boolean inRadioButtonBehavior);
													
		virtual ~LAGAStateIconButton ();
		
		virtual void SetState (Int32 inValue);
		
	protected	:
		virtual short GetIconID ();
		
		Int32 mState;
		
		short mIconID2;
		short mIconID3;
};

#endif
