// ===========================================================================
//	LAGAIndetermProgress.h
// ===========================================================================
//	Apple Grayscale Appearance compliant Indeterminate progress indicator
//	Copyright  1996 Chrisoft (Christophe ANDRES)  All rights reserved.
//
//	You may use this source code in any application (commercial, shareware, freeware,
//	postcardware, etc), but not remove this notice (no need to acknowledge the use of
//	this class in the about box)
//	You may not sell this source code in any form. This source code may be placed on 
//	publicly accessable archive sites and source code disks. It may not be placed on 
//	profit archive sites and source code disks without the permission of the author, 
//	Christophe ANDRES.
//	
//	    This source code is distributed in the hope that it will be useful,
//	    but WITHOUT ANY WARRANTY; without even the implied warranty of
//	    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//
//	If you make any change or improvement on this class, please send the improved/changed
//	version to : chrisoft@calva.net or Christophe ANDRES
//                                     20, rue Prosper Mrime
//                                     67100 STRASBOURG
//                                     FRANCE
//
// ===========================================================================
//	LAGAIndetermProgress.cp			<- double-click + Command-D to see class implementation
//
//	LAGAIndetermProgress is my implementation of the Apple Grayscale Appearance for System 7.5
//		inderterminate progress indicator. The indicator spins automatically (through LPeridical)
//		but can also be brought to "manual" spin, by calling the Spin method.
//
//		This class requires AGAColors.cp to be present in your project
//
//		Version : 1.2
//
//		Change History (most recent first, date in US form : mm/dd/yy):
//
//						06/30/96	ca		Public release of version 1.2
//						06/04/96	ca		added RegisterClass method for easy registry
//														Added guard macros in header files
//														Increased version to 1.2
//						05/25/96	ca		class made available by Christophe ANDRES <chrisoft@calva.net>
//														(version 1.1)
//
//		To Do:
//

#ifndef _H_LAGAIndetermProgress
#define _H_LAGAIndetermProgress
#pragma once

#include <LPane.h>
#include <LPeriodical.h>

class	LAGAIndetermProgress : public LPane, public LPeriodical
{
	public		:
		enum { class_ID = 'AGA8' };
		static void RegisterClass ();																																	//	<06/04/96	ca>
		static LAGAIndetermProgress* CreateAGAIndetermProgressStream (LStream* inStream);
		
		LAGAIndetermProgress ();
		
		LAGAIndetermProgress (LStream *inStream);
		
		LAGAIndetermProgress (const LAGAIndetermProgress &inOriginal);
		
		LAGAIndetermProgress (const SPaneInfo &inPaneInfo, Int32 inTicksDelay);
		
		virtual ~LAGAIndetermProgress ();
		
		virtual void Spin ();
		
		virtual void SpendTime (const EventRecord &inMacEvent);
		
		virtual void SetSpinSpeed (Int32 inTicksDelay) { mAnimationTicks = inTicksDelay; };
		
		virtual Int32 GetSpinSpeed () { return(mAnimationTicks); };
		
	protected	:
		virtual void FinishCreateSelf ();

		virtual void DrawSelf ();
		
		Int16 mAnimationStep;
		Int32 mAnimationTicks;
	
	private:
		static void Initialise();
		
		static char mPattern[10][16];
		static PixMapHandle mImage;
		static long mUsage;
};

#endif
