// ===========================================================================
//	LAGASquareVSlider.h
// ===========================================================================
//	Apple Grayscale Appearance compliant slider base class
//	Copyright  1996 Chrisoft (Christophe ANDRES)  All rights reserved.
//
//	You may use this source code in any application (commercial, shareware, freeware,
//	postcardware, etc), but not remove this notice (no need to acknowledge the use of
//	this class in the about box)
//	You may not sell this source code in any form. This source code may be placed on 
//	publicly accessable archive sites and source code disks. It may not be placed on 
//	profit archive sites and source code disks without the permission of the author, 
//	Christophe ANDRES.
//	
//	    This source code is distributed in the hope that it will be useful,
//	    but WITHOUT ANY WARRANTY; without even the implied warranty of
//	    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//
//	If you make any change or improvement on this class, please send the improved/changed
//	version to : chrisoft@calva.net or Christophe ANDRES
//                                     20, rue Prosper Mrime
//                                     67100 STRASBOURG
//                                     FRANCE
//
// ===========================================================================
//	LAGASquareVSlider.cp			<- double-click + Command-D to see class implementation
//
//	LAGASquareVSlider is my implementation of the Apple Grayscale Appearance for System 7.5
//		vertical square slider control
//
//		This class requires LAGASliderBase.cp to be present in your project
//		This class requires AGAColors.cp to be present in your project
//
//		Version : 1.2
//
//		Change History (most recent first, date in US form : mm/dd/yy):
//
//						06/30/96	ca		Public release of version 1.2
//						06/04/96	ca		Added RegisterClass method to ease registry
//														Added guard macros in header files
//														Increased version to 1.2
//						05/16/96	ca		class made available by Christophe ANDRES <chrisoft@calva.net>
//														(version 1.1)
//
//		To Do:
//

#ifndef _H_LAGASquareVSlider
#define _H_LAGASquareVSlider
#pragma once

#include "LAGASliderBase.h"

class	LAGASquareVSlider : public LAGASliderBase
{
	public		:
		enum { class_ID = 'AGAc' };
		static void RegisterClass ();																																						//	<06/04/96	ca>
		static LAGASquareVSlider*	CreateAGASquareVSliderStream (LStream *inStream);

		LAGASquareVSlider ();
		
		LAGASquareVSlider (LStream *inStream);
		
		LAGASquareVSlider (const LAGASquareVSlider &inOriginal);
		
		LAGASquareVSlider (const SPaneInfo	&inPaneInfo, MessageT inValueMessage, Boolean inBottomRightPointer,
												Int32 inInitialValue, Int32 inMinValue, Int32 inMaxValue);
		
	protected	:
		virtual void DrawIndicator (Boolean inPushed);
		
		virtual short GetIndicatorPosition ();
		
		virtual Int16 FindHotSpot (Point inPoint);
		
		virtual Boolean PointInHotSpot (Point inPoint, Int16 inHotSpot);
		
		virtual void GetIndicatorRect (Rect &outRect);
		
		virtual void InitializeGhost ();
		
		virtual void DrawGhost (Point inPoint);
		
		virtual void FinishTrackHotSpot (Point inPoint);
};

#endif
