// ===========================================================================
//	LAGALittleArrows.h
// ===========================================================================
//	Apple Grayscale Appearance compliant little-arrows control. Auto-repeats
// if held down. Uses the same PPob as LStdCheckBox
//
// Copyright 1996 by Michael Hamel of ADInstruments NZ Ltd, mhamel@adi.co.nz
//
//	You may use this source code in any application (commercial, shareware, freeware,
//	postcardware, etc), without acknowledgment, but may not remove this notice.
//
//	You may not sell this source code in any form. This source code may be placed on 
//	publicly accessible archive sites and source code disks. It may not be placed on 
//	for-profit archive sites and source code disks without the permission of the author.
//
//	 This source code is distributed "as is", without any warranty. Use it at your own
//  risk.
//
//		This class requires AGAColors.cp to be present in your project
//
//		Version : 1.2
//
//		Change History (most recent first, date in US form : mm/dd/yy):
//
//						06/30/96	ca		Public release of version 1.2
//						06/05/96	ca		Added RegisterClass method to ease registry
//											Added guard macros in header files
//											Increased version to 1.2
//						05/21/96	MH	Initial version set to 1.1 to be put with other AGA classes
//
//		To Do:
//

#ifndef _H_LAGALittleArrows
#define _H_LAGALittleArrows
#pragma once

#include	<LStdControl.h>
#include <LString.h>

class LAGALittleArrows : public LControl {
public:
	enum { class_ID = 'AGAr' };
	static void RegisterClass ();																								//	<06/05/96	ca>
	static LAGALittleArrows*	CreateAGALittleArrowsStream(LStream *inStream);
	
				LAGALittleArrows();
				
				LAGALittleArrows(const SPaneInfo &inPaneInfo,
										MessageT inValueMessage,
										ResIDT traitsID,
										Str255 title);
								
				LAGALittleArrows(LStream *inStream);
				
	virtual	~LAGALittleArrows();
		

protected:
										
	Int16		FindHotSpot( Point localPt );
	
	void		HotSpotAction(short inHotSpot, Boolean inCurrInside, Boolean inPrevInside);
	
	void		HotSpotResult(short inHotSpot);

	void 		DisableSelf () { Refresh(); };

	void 		EnableSelf () { Refresh(); };

private:
	
	void		DrawText();
	
	void		DrawArrow(Boolean upArrow, Boolean pushed);
	
	void		DrawSelf();
	
	ResIDT	mTextTraitsID;
	LStr255	mTitle;
	Boolean 	mDoneOne,
				mInColor;
	Int32 	mNextBroadcast;
};

#endif
