// ===========================================================================
//	LAGASeparator.h
// ===========================================================================
//	Apple Grayscale Appearance compliant separator
//	Copyright  1996 Chrisoft (Christophe ANDRES)  All rights reserved.
//
//	You may use this source code in any application (commercial, shareware, freeware,
//	postcardware, etc), but not remove this notice (no need to acknowledge the use of
//	this class in the about box)
//	You may not sell this source code in any form. This source code may be placed on 
//	publicly accessable archive sites and source code disks. It may not be placed on 
//	profit archive sites and source code disks without the permission of the author, 
//	Christophe ANDRES.
//	
//	    This source code is distributed in the hope that it will be useful,
//	    but WITHOUT ANY WARRANTY; without even the implied warranty of
//	    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//
//	If you make any change or improvement on this class, please send the improved/changed
//	version to : chrisoft@calva.net or Christophe ANDRES
//                                     20, rue Prosper Mrime
//                                     67100 STRASBOURG
//                                     FRANCE
//
// ===========================================================================
//	LAGASeparator.cp			<- double-click + Command-D to see class implementation
//
//	LAGASeparator is my implementation of the Apple Grayscale Appearance for System 7.5
//		Separator. Whether the Pane will be a horizontal or vertical separator is determined
//		by the greatest of width or height.
//
//
//		This class requires AGAColors.cp to be present in your project
//
//		Version : 1.2
//
//		Change History (most recent first, date in US form : mm/dd/yy):
//
//						06/30/96	ca		Public release of version 1.2
//						06/05/96	ca		Added RegisterClass method to ease registry
//														Added guard macros in header files
//														Increased version to 1.2
//						05/17/96	ca		Increased version to 1.1
//														Added copy constructor
//														Added "on the fly" constructor
//														Added change history
//						04/22/96	ca		class made available by Christophe ANDRES <chrisoft@calva.net>
//														(version 1.0)
//
//		To Do:
//

#ifndef _H_LAGASeparator
#define _H_LAGASeparator
#pragma once

#include <LPane.h>

class LAGASeparator : public LPane
{
	public		:
		enum { class_ID = 'AGA5' };
		static void RegisterClass ();																													//	<06/05/96	ca>
		static LAGASeparator* CreateAGASeparatorStream (LStream* inStream);
		
		LAGASeparator (LStream *inStream);
		
		LAGASeparator (const LAGASeparator &inOriginal);																			//	<05/17/96	ca>
		
		LAGASeparator (const SPaneInfo &inPaneInfo);																					//	<05/17/96	ca>

		virtual void DrawSelf ();	
};

#endif
