// ===========================================================================
//	LAGADialogBox.h
// ===========================================================================
//	Apple Grayscale Appearance compliant dialog box content
//	Copyright  1996 Chrisoft (Christophe ANDRES)  All rights reserved.
//
//	You may use this source code in any application (commercial, shareware, freeware,
//	postcardware, etc), but not remove this notice (no need to acknowledge the use of
//	this class in the about box)
//	You may not sell this source code in any form. This source code may be placed on 
//	publicly accessable archive sites and source code disks. It may not be placed on 
//	profit archive sites and source code disks without the permission of the author, 
//	Christophe ANDRES.
//	
//	    This source code is distributed in the hope that it will be useful,
//	    but WITHOUT ANY WARRANTY; without even the implied warranty of
//	    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//
//	If you make any change or improvement on this class, please send the improved/changed
//	version to : chrisoft@calva.net or Christophe ANDRES
//                                     20, rue Prosper Mrime
//                                     67100 STRASBOURG
//                                     FRANCE
//
// ===========================================================================
//	LAGADialogBox.cp			<- double-click + Command-D to see class implementation
//
//	LAGADialogBox is my implementation of the Apple Grayscale Appearance for System 7.5
//		dialog box content. This class set the background color to  0xDDDD (color 2) for all
//		three RGB components and uses the LAGADefaultOutline to put an outline arund the
//		default button This default button should be of LAGAPushButton to achieve the desired
//		result.
//
//		This class requires LAGADefaultOutline.cp to be present in your project
//
//		Version : 1.2
//
//		Change History (most recent first, date in US form : mm/dd/yy):
//
//						06/30/96	ca		Public release of version 1.2
//						06/05/96	ca		Added RegisterClass method to ease registry
//														Added guard macros in header files
//														Increased version to 1.2
//														Added change history
//						04/22/96	ca		class made available by Christophe ANDRES <chrisoft@calva.net>
//														(version 1.0)
//
//		To Do:
//

#ifndef _H_LAGADialogBox
#define _H_LAGADialogBox
#pragma once

#include	<LDialogBox.h>

class LAGADialogBox : public LDialogBox
{
	public		:
		enum { class_ID = 'AGAd' };
		static void RegisterClass ();																																	//	<06/05/96	ca>
		static LAGADialogBox* CreateAGADialogBoxStream (LStream *inStream);
	
		LAGADialogBox ();
		
		LAGADialogBox (LStream *inStream);
	
		virtual void FindCommandStatus (CommandT inCommand, Boolean &outEnabled, Boolean &outUsesMark,
																		Char16 &outMark, Str255 outName);
		
	protected	:
		virtual void FinishCreateSelf ();

	private		:
		void InitAGADialogBox ();
};

#endif
