// ===========================================================================
//	CStartupWindow.h
//	Written by Christophe Causer
//	1996 BlueDays Software.  All Rights Reserved.
//
//	You may use this class in any non-commercial program without
//	permission.  The only restriction is that you must credit the
//	author in your about box.  For commercial use, please contact
//	the author at the email address below.
//					
//	Send bug-reports and comments to bluedays@kagi.com
//
// ===========================================================================

#pragma once

#include <LEventDispatcher.h>
#include <LWindow.h>
#include <LPeriodical.h>

class CStartupWindow :	public LWindow,
						public LPeriodical,
						public LEventDispatcher {

	public:
		enum {class_ID = 'Stup'};
	
		static CStartupWindow*	CreateStartupWindowStream(LStream *inStream);

						CStartupWindow();						// Default constructor
						~CStartupWindow();						// Default destructor

						CStartupWindow(LStream *inStream);		// Stream constructor

		virtual	void	FindCommandStatus(	CommandT	inCommand,
											Boolean		&outEnabled,
											Boolean&	outUsesMark,
											Char16&		outMark,
											Str255		outName);

				void	Display();								// Can't be overrided

				void	DisplayForWait();
				void	Wait();
	protected:
		Int32	mStartupDelay;

		virtual	void	SpendTime(const EventRecord &inMacEvent);
};
