/*
	File:		LPrimaryGroupBox.cp

	Contains:	Contains:	Apple Grayscale Appearance-savvy 
				primary group box pane.

	Copyright:	1996 Chris K. Thomas.  All Rights Reserved.

	Version:	1.0
*/

#include "LPrimaryGroupBox.h"
#include "AGAColors.h"

//
// instance lifetime 
//

LPrimaryGroupBox*
LPrimaryGroupBox::CreatePrimaryGroupBoxStream(LStream *inStream)
{
	return new LPrimaryGroupBox(inStream);
}

LPrimaryGroupBox::LPrimaryGroupBox()
{

}


LPrimaryGroupBox::LPrimaryGroupBox( const LGroupBox &inGroupBox)
:LGroupBox(inGroupBox)
{

}


LPrimaryGroupBox::LPrimaryGroupBox( const SPaneInfo &inPaneInfo, Str255 inString, ResIDT inTextTraitsID)
:LGroupBox(inPaneInfo, inString, inTextTraitsID)
{

}


LPrimaryGroupBox::LPrimaryGroupBox( LStream *inStream)
:LGroupBox(inStream)
{

}


//
// imaging 
//


void
LPrimaryGroupBox::DrawText(
	const Rect		&inRect)
{
	if(!IsEnabled())
		::RGBForeColor(&kColor7);
	else
		::RGBForeColor(&kBlackColor);
		
	LGroupBox::DrawText(inRect);
}

void
LPrimaryGroupBox::DrawBorder( const Rect &inRect)
{
	const RGBColor	*darkColor;
	const RGBColor	*lightColor;
	Rect			r = inRect;
	
	if(IsEnabled())
	{
		darkColor = &kColor7;
		lightColor = &kWhiteColor;
	}
	else
	{
		darkColor = &kColor4;
		lightColor = &kColor1;
	}
	
	//
	// draw dark bits
	//
	
	r.right -= 1;
	r.bottom -= 1;
	
	::RGBForeColor(darkColor);
	::FrameRect(&r);
	
	r.right += 1;
	r.bottom += 1;
	
	//
	// draw light bits
	//
	::RGBForeColor(lightColor);
	
	::MoveTo(r.left + 1, r.bottom - 3);	// left
	::LineTo(r.left + 1, r.top + 1);
	::LineTo(r.right - 3, r.top + 1);	// top
	
	::MoveTo(r.right - 1, r.top);			// right
	::LineTo(r.right - 1, r.bottom - 1);
	::LineTo(r.left, r.bottom - 1);			// bottom
}

