/*
	File:		LPushButton.h

	Contains:	AGA-savvy pushbutton.

	Copyright:	1996 Chris K. Thomas.  All Rights Reserved.

	Version:	1.0
*/

#include <LControl.h>

class LPushButton:
	public LControl
{

public:
	static LPushButton *	CreatePushButtonStream(LStream *inStream);
	
							LPushButton();
							LPushButton(LStream *inStream);
	virtual					~LPushButton();
	
	virtual StringPtr	GetDescriptor(Str255 outDescriptor) const;
	virtual void		SetDescriptor(ConstStringPtr inDescriptor);

protected:

	virtual void HotSpotAction(Int16 inHotSpot, Boolean inCurrInside, Boolean inPrevInside);
	virtual void HotSpotResult(Int16 inHotSpot);

	virtual void OptimizeButtonSize();

	virtual Boolean IsPressed()
	{
		return mPressed;
	}
	
	virtual void DrawSelf();
	
	virtual void DrawOutline(	const Rect &r,
								const RGBColor *inOutlineColor,
								const RGBColor *inOutlineAliasColor);
								
	virtual void DrawText(const Rect &r);
	virtual void DrawButtonBackground(const Rect &r);
	
	Boolean		mPressed;
	Handle		mTitle;
};