#pragma once
#pragma once
/*
	File:		LProgressDialog.h

	Contains:	Progress bar dialog for PowerPlant.
				An LProgressIndicatorProxy subclass.
				
	Version:	2.1

	Author:		Chris K. Thomas, ckt@best.com
	
	Copyright:	1996 Chris K. Thomas.  All Rights Reserved.
*/

#include "LProgressIndicatorProxy.h"
#include "LDialogBox.h"
#include <LCommander.h>

class LCaption;
class LThermometerPane;

class LProgressDialog:
	public LProgressIndicatorProxy,
	public LCommander
{
	LDialogBox			*mDialog;
	LCaption			*mCaptionOne;
	LCaption			*mCaptionTwo;
	LCaption			*mCaptionThree;
	LThermometerPane	*mProgressBar;
	Boolean				mStopClicked;
	
public:
			LProgressDialog(Str255 inActivity, LCommander *inSuperCommander);
	virtual	~LProgressDialog();
	
	virtual Boolean ObeyCommand(
								CommandT	inCommand,
								void		*ioParam );
	
	//
	//  Accessors
	//
	
	virtual void SetActionDescriptor(Str255 inAction);
	virtual void SetStepDescriptor(Str255 inStep);
	virtual void SetCountDescriptor(Str255 inCount);
	
	virtual void		Show() {mDialog->Show();}
	virtual void		Hide() {mDialog->Hide();}
	
	//
	// if stop is clicked, you probably want to abort the
	//
	
	virtual Boolean		IsStopClicked() {return mStopClicked;}
	virtual void		SetStopClicked(Boolean inStopClicked) {mStopClicked = inStopClicked;}
};
