// =================================================================================
//	CVisualSharedQueue.cp				1996 Metrowerks Inc. All rights reserved.
// =================================================================================

#include "LThermometerPane.h"

#include "CVisualSharedQueue.h"


// ---------------------------------------------------------------------------------
//		 CVisualSharedQueue
// ---------------------------------------------------------------------------------

CVisualSharedQueue::CVisualSharedQueue(
	LThermometerPane	*inProgressPane )
		: mProgressPane( inProgressPane )
{
	mProgressPane->SetTaskType(task_Indeterminate);
}


// ---------------------------------------------------------------------------------
//		 ~CVisualSharedQueue
// ---------------------------------------------------------------------------------

CVisualSharedQueue::~CVisualSharedQueue()
{
}


// ---------------------------------------------------------------------------------
//		 Next
// ---------------------------------------------------------------------------------

LLink *
CVisualSharedQueue::Next(
	Int32	inMilliSeconds )
{
	LLink	*theLink;

	// Call inherited for default behavior.
	theLink = LSharedQueue::Next( inMilliSeconds );

	// Set the new value.
	mProgressPane->SetCurrentValue( GetSize() );
	
	return theLink;
}


// ---------------------------------------------------------------------------------
//		 Next
// ---------------------------------------------------------------------------------

void
CVisualSharedQueue::NextPut(
	LLink	*inLink )
{
	// Call inherited for default behavior.
	LSharedQueue::NextPut( inLink );

	// Set the new value.
	mProgressPane->SetCurrentValue( GetSize() );
}
